Subject: bug#2423: 23.0.90; Incomplete text in tooltip for buffer's encoding

From: Juanma Barranquero <[email-masked]>
Date: Sun, 22 Feb 2009 03:03:31 +0100

> But on MS-Windows, if CODING is iso-latin-N-dos (for any N that is a
> single digit), the second line is not shown; instead, there's an empty
> line.  Changing the buffer's encoding to something different, like
> utf-8 or cyrillic-iso-8bit-dos, or even iso-latin-10-dos or
> iso-latin-1-unix, makes the second line reappear.  Changing back to
> iso-latin-[1-9]-dos makes the text of second line disappear again.
>
> It looks like the problem is somehow related to the length of the
> first line's text.

Yes.

Another example is the mnemonic for writable/read-only in
`mode-line-modified'. With "writable" I get a tooltip with "Buffer is
writable" plus an empty line. Just adding a space to the first line of
"Buffer is %s\nmouse-1 toggles" makes it work again.

    Juanma